CREATE TABLE IF NOT EXISTS user_preferences (
    "user" UUID PRIMARY KEY,
    language VARCHAR(255) NOT NULL,
    theme VARCHAR(255) NOT NULL,
    timezone VARCHAR(255) NOT NULL,
    email_notifications BOOLEAN NOT NULL DEFAULT true,
    in_app_notifications BOOLEAN NOT NULL DEFAULT true,
    created_at TIMESTAMPTZ NOT NULL,
    updated_at TIMESTAMPTZ NOT NULL
);
